.LoopProduct {
    background-color: #fff;
    position: relative;

    &:hover,
    &:active {
        z-index: 10;

        & > a.button {
            opacity: 1;
            pointer-events: all;
            visibility: visible;
        }

        .add-to-wishlist-container {
            opacity: 1;
            pointer-events: all;
            visibility: visible;
        }
    }

    a {
        img {
            height: auto;
            max-height: 200px;
            object-fit: cover;
            object-position: center;
            width: 100%;
        }

        h2 {
            @include fontSize(16);
            font-weight: 400;
            line-height: 24px;
            margin: 20px 0;
            padding: 0 20px;
        }
    }

    a:first-of-type {
        display: flex;
        flex-direction: column;
        height: 100%;
    }

    > a.button {
        background-color: #fff;
        color: theme('colors.secondary');
        @include fontSize(14);
        font-weight: 700;
        left: 0;
        letter-spacing: 1px;
        line-height: 18px;
        opacity: 0;
        padding: 10px 20px;
        pointer-events: none;
        position: absolute;
        text-transform: uppercase;
        top: 100%;
        visibility: hidden;
        width: 100%;
    }

    .price {
        @include fontSize(14);
        align-items: center;
        color: theme('colors.primary');
        display: flex;
        font-weight: 400;
        justify-content: space-between;
        margin: auto 0 20px;
        padding: 0 20px;

        bdi {
            @include fontSize(18);
            font-weight: 700;
        }

        del {
            color: #a7a7a7;
            order: 2;

            bdi {
                @include fontSize(14);
            }
        }

        ins {
            font-weight: 700;
            order: 1;
            text-decoration: none;

            bdi {
                color: theme('colors.secondary');
            }
        }
    }

    &__badges {
        left: 10px;
        top: 10px;
        position: absolute;
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        justify-content: center;
    }

    .add-to-wishlist-container {
        height: 48px;
        opacity: 0;
        pointer-events: none;
        position: absolute;
        right: 10px;
        top: 10px;
        transition: all 300ms linear;
        visibility: hidden;
        width: 48px;

        > div {
            background-color: #fff;
            border-radius: 2px;
            height: 100%;

            a {
                display: block;
                height: 48px !important;
                width: 48px !important;
            }
        }
    }

    .star-rating,
    .star-rating span {
        &::before {
            left: 20px;
        }
    }
}
